
import { connect } from 'umi';
import ProcessCardPack from '../../../components/Manufacture/ProcessCardPack/ProcessCardPack';

function ProcessCardInfoComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <ProcessCardPack {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProcessCardInfoComponent);

